import request from '@/utils/request';
import { tableList, wrapTreeNode } from '@/utils/format';

// 香烟报表数据
export async function handleGetCigaretteReport(params: any) {
  const data = await request('/Revenue/GetCigaretteReport', {
    method: 'GET',
    params
  })

  if (data.Result_Code !== 100) {
    return data
  }

  return data.Result_Data.List
}

// 重新生成香烟数据
export async function handleCorrectShopCigarette(params: any) {
  const data = await request('/Revenue/CorrectShopCigarette', {
    method: 'GET',
    params
  })

  if (data.Result_Code !== 100) {
    return data
  }

  return data
}